#!/bin/bash

if [ "$EUID" -ne 0 ]; then
  echo "This script must be run with superuser privileges. Please use 'sudo' to execute it."
  exit 1
fi

echo "Removing CyLock SSH Component !!!"

echo "Removing CyLock Configuration file !!!"
sudo rm -rf /etc/cylock

echo "Removing CyLock Log Files !!!"
sudo rm -rf /var/log/cylock

echo "Removing CyLock Module !!!"
dpkg --purge cylock_2fa_ssh

sudo rm -rf /lib/security/cylock_2fa_ssh.so

# Remove the specified lines from /etc/pam.d/sshd and save the changes
sudo sed -i '/auth required cylock_2fa_ssh.so/d' /etc/pam.d/sshd

# Remove the added configuration lines
sudo sed -i '/KbdInteractiveAuthentication yes/d' /etc/ssh/sshd_config
#sudo sed -i '/AuthenticationMethods publickey,password publickey,keyboard-interactive/d' /etc/ssh/sshd_config
sudo sed -i '/AuthenticationMethods password keyboard-interactive/d' /etc/ssh/sshd_config

printf "\nKbdInteractiveAuthentication no" | sudo tee -a /etc/ssh/sshd_config >/dev/null

#Restart SSH
sudo systemctl restart ssh

echo "Completed Removing CyLock SSH Component !!!"